Autocad Contour Lisp
On another forum a member by the name of 'fixo' was nice enough to write this lisp for me but I just need a little help with it, if anyone can. Basically this lisp takes the 'z' elevation of a contour and places the value in a rectangle above the contour line. The only slight problem I had with it is, I would like to be able to increase the size of the rectangle around the text. If I use a different font, it gets close to the rectangle, which you can notice even more so when plotted.
I was wondering if someone can point out what numbers within the lisp I would have to change in order to increase the offset of this rectangle around the text. I am assuming it is towards the bottom where it says 'text box'. The lisp is a nice one for labeling contours without having to break the contour lines, hopefully others can use it. Again if 'fixo' reads this, I thank you again for your help.
Code: (defun alg-ang (obj pnt) (angle '(0. 0.) (vlax-curve-getfirstderiv obj (vlax-curve-getparamatpoint obj pnt ) ) ) ) (defun C:LAB(/ ang angp box dv en ent p1 p2 p3 p4 pt txten txthgt txtpt wid zstr zvalue) (setvar 'osmode' 512) (setq txthgt 3.2);>')) (progn (setq en (car ent)) (while (setq pt (getpoint ' nPick a point on the contour (or press Enter to Exit) >> ')) (setq pt (vlax-curve-getclosestpointto en pt) zvalue (caddr pt) zstr (rtos zvalue 2 0) dv (vlax-curve-getfirstderiv en (vlax-curve-getparamatpoint en pt)) ang (alg-ang en pt) ang (cond ((. On another forum a member by the name of 'fixo' was nice enough to write this lisp for me but I just need a little help with it, if anyone can. Basically this lisp takes the 'z' elevation of a contour and places the value in a rectangle above the contour line. The only slight problem I had with it is, I would like to be able to increase the size of the rectangle around the text.
If I use a different font, it gets close to the rectangle, which you can notice even more so when plotted. I was wondering if someone can point out what numbers within the lisp I would have to change in order to increase the offset of this rectangle around the text. I am assuming it is towards the bottom where it says 'text box'. Nokia tools download 3310. The lisp is a nice one for labeling contours without having to break the contour lines, hopefully others can use it. Again if 'fixo' reads this, I thank you again for your help.Did you want increase offset rectangle gap from text? Sohraneniya dlya 3d instruktor 227 domashnyaya versiya.
Let me minute ~'J'~. Code: (defun alg-ang (obj pnt) (angle '(0. 0.) (vlax-curve-getfirstderiv obj (vlax-curve-getparamatpoint obj pnt ) ) ) ) (defun C:LAB(/ ang angp box dv en ent p1 p2 p3 p4 pt txten txthgt txtpt wid zstr zvalue) (setvar 'osmode' 512) (setq txthgt 3.2;>')) (progn (setq en (car ent)) (while (setq pt (getpoint ' nPick a point on the contour (or press Enter to Exit) >> ')) (setq pt (vlax-curve-getclosestpointto en pt) zvalue (caddr pt) zstr (rtos zvalue 2 0) dv (vlax-curve-getfirstderiv en (vlax-curve-getparamatpoint en pt)) ang (alg-ang en pt) ang (cond ((. Code: (defun alg-ang (obj pnt) (angle '(0. 0.) (vlax-curve-getfirstderiv obj (vlax-curve-getparamatpoint obj pnt ) ) ) ) (defun C:LAB(/ ang angp box dv en ent p1 p2 p3 p4 pt txten txthgt txtpt wid zstr zvalue) (setvar 'osmode' 512) (setq txthgt 3.2;>')) (progn (setq en (car ent)) (while (setq pt (getpoint ' nPick a point on the contour (or press Enter to Exit) >> ')) (setq pt (vlax-curve-getclosestpointto en pt) zvalue (caddr pt) zstr (rtos zvalue 2 0) dv (vlax-curve-getfirstderiv en (vlax-curve-getparamatpoint en pt)) ang (alg-ang en pt) ang (cond ((. Code:;;; Contour Elevations at Intervals with Labels;;; Copyleft 2017 Thomas Gail Haws licensed under the terms of the GNU GPL;;; tom.haws@gmail.com;;; Version: 1.0.0;;; Official Repository:;;; Haws is a registered reserved symbol with Autodesk that will never conflict with other apps.;;;;;; Features:;;; -Uses an exploded block for labeling so you can customize label as needed.;;; -Saves to (setcfg) to remember settings between sessions. Saves to a single global variable during a session.;;; -Lets you ignore Interval, Label Precision, Label Spacing, Temporary Color, LabelBlockName, and Elevation or change them on the fly.;;; -For programmers, demonstrates small functions with self-documenting names and variable names.